org.eclipse.incquery.runtime.util

## Class IncQueryLoggingUtil

- java.lang.Object
- - org.eclipse.incquery.runtime.util.IncQueryLoggingUtil

-     public class IncQueryLoggingUtil
      extends java.lang.Object

  Centralized logger of the IncQuery runtime.
  Author:
    Bergmann Gabor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncQueryLoggingUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.log4j.Logger` | `getDefaultLogger()` Provides a static default logger.
    `static org.apache.log4j.Logger` | `getLogger(java.lang.Class<?> clazz)` Provides a class-specific logger that also stores the global logger settings of the IncQuery runtime
    `static void` | `setExternalLogger(org.apache.log4j.Logger externalLogger)`
    `static void` | `setupConsoleAppenderForDefaultLogger()` Adds an appender to the default logger that will output to the default console with the TTCC conversion pattern.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncQueryLoggingUtil

          public IncQueryLoggingUtil()

  - ### Method Detail

    - #### setExternalLogger

          public static void setExternalLogger(org.apache.log4j.Logger externalLogger)

    - #### getDefaultLogger

          public static org.apache.log4j.Logger getDefaultLogger()

      Provides a static default logger.

    - #### getLogger

          public static org.apache.log4j.Logger getLogger(java.lang.Class<?> clazz)

      Provides a class-specific logger that also stores the global logger settings of the IncQuery runtime
      Parameters:
        `clazz` -

    - #### setupConsoleAppenderForDefaultLogger

          public static void setupConsoleAppenderForDefaultLogger()

      Adds an appender to the default logger that will output to the default console with the TTCC conversion pattern. Call this method if you don't have Log4J configured from properties. In addition, additivity is set to false for the default logger.